aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-10 09:32:18 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-30 10:59:08 +0000
commiteec73303ce9ef148349a277e3678214af9170377 (patch)
tree97ca5e57975cbc1c832ac401262e5189660312c0 /testing
parentdbf1c44d13423ea994c729315bee20ad8b7617d0 (diff)
downloadaports-eec73303ce9ef148349a277e3678214af9170377.tar.gz
aports-eec73303ce9ef148349a277e3678214af9170377.tar.bz2
aports-eec73303ce9ef148349a277e3678214af9170377.tar.xz
testing/py-enchant: new aport
A spellchecking library for Python http://pythonhosted.org/pyenchant/
Diffstat (limited to 'testing')
-rw-r--r--testing/py-enchant/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-enchant/APKBUILD b/testing/py-enchant/APKBUILD
new file mode 100644
index 0000000000..70de0154bb
--- /dev/null
+++ b/testing/py-enchant/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-enchant
+_pkgname=pyenchant
+pkgver=1.6.5
+pkgrel=0
+pkgdesc="A spellchecking library for Python"
+url="http://pythonhosted.org/pyenchant/"
+arch="noarch"
+license="LGPL2+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools enchant-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="565014a14a52fb0195d152dd492ea948 pyenchant-1.6.5.tar.gz"
+sha256sums="623f332a9fbb70ae6c9c2d0d4e7f7bae5922d36ba0fe34be8e32df32ebbb4f84 pyenchant-1.6.5.tar.gz"
+sha512sums="de90f6e224880244c02537efeb38b4717973ef3aa117503ed4f582819c3ef651a1d5572c0a988bff44543e4b4b733a1a821758e329f57b40480cab97b39e8ea8 pyenchant-1.6.5.tar.gz"